TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.UFO.Queue Class Reference

A Queue object encapsulates a TIBCO EMS specific queue name. More...

Inheritance diagram for TIBCO.EMS.UFO.Queue:

## Public Member Functions
| Queue (string address)
| Constructs a new Queue object with the given address. More...
| Queue (TIBCO.EMS.Queue queue)
| Constructs a new Queue object with the given TIBCO.EMS.Queue object. More...
override object | Clone ()
| Implementation of ICloneable. Overrides the cloning process. More...
override bool | Equals (object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...
Public Member Functions inherited from TIBCO.EMS.UFO.Destination
| Destination (TIBCO.EMS.Destination destination)
| Constructs a TIBCO.EMS.UFO Destination object with the given TIBCO.EMS.Destination object. More...
override string | ToString ()
| Returns a string representation of the destination. More...
override bool | Equals (object obj)
| Compare with another object for equality. More...
override int | GetHashCode ()
| Returns a hashcode representing the current object More...

## Properties
virtual string | QueueName`[get]`
| Gets the name of the queue More...

## Detailed Description

A Queue object encapsulates a TIBCO EMS specific queue name.

Queues store messages in a point-to-point messaging model in which each message has one producer and one consumer.

## Constructor & Destructor Documentation

TIBCO.EMS.UFO.Queue.Queue | ( | string | address | ) |
| inline

Constructs a new Queue object with the given address.

Parameters

  address | address of the queue

TIBCO.EMS.UFO.Queue.Queue | ( | TIBCO.EMS.Queue | queue | ) |
| inline

Constructs a new Queue object with the given TIBCO.EMS.Queue object.

Parameters

  queue | object of TIBCO.EMS.Queue

## Member Function Documentation

override object TIBCO.EMS.UFO.Queue.Clone | ( |  | ) |
| inline virtual

Implementation of ICloneable. Overrides the cloning process.

Returns
  A object that is a clone of this Queue instance.

Reimplemented from TIBCO.EMS.UFO.Destination.

Reimplemented in TIBCO.EMS.UFO.TemporaryQueue.

override bool TIBCO.EMS.UFO.Queue.Equals | ( | object | obj | ) |
| inline

Compare with another object for equality.

The current instance is said to be equals to another object when the latter is also a `Queue` instance and both have the same address.

Parameters

  obj | The object to compare with

Returns
  true if the object passed is also of type `Queue` and has the same address as the current instance, false otherwise.

override int TIBCO.EMS.UFO.Queue.GetHashCode | ( |  | ) |
| inline

Returns a hashcode representing the current object

Returns
  A hashcode based on the `Queue`.

## Property Documentation

virtual string TIBCO.EMS.UFO.Queue.QueueName
| get

Gets the name of the queue

Each queue has a name that is unique among all queues.

Returns
  The lookup name of the queue object. If not set, null is returned